Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Thu, 17 Dec 2020 16:13:53 +0100

> That won't work without also changing redisplay_internal to consider
 > such a list.  It currently knows about just 2 alternatives: either
 > consider only the selected window on the selected frame, or all
 > windows on all frames -- and only the second option considers
 > non-window aspects (such as the frame title or menu bar) of the
 > selected frame.

The part mostly affected would be

   if (consider_all_windows_p)
     {
       FOR_EACH_FRAME (tail, frame)
	XFRAME (frame)->updated_p = false;

because windows_or_buffers_changed should probably become either a list
too or redisplay would simply scan all windows and act when it finds a
window whose w->update_mode_line or w->changed flag is true.

martin